
Price Monitoring - Bug #1606

uploading a file of type that is not CSV traps the user in error that can't be escaped 

08/07/2019 05:57 PM - Israa Naser

Status: Closed Start date: 08/07/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Tareq Abuhamra Actual Result: the error keeps triggering on every action

until the user uploads a file of a correct

type 

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Upload CSV File - Cooperatives Screen -

تحميل بيانات الجمعية

Browser: Firefox

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: the user should be able to go to another

screen without the error triggering

  

Description

if the user uploads a file of type that is not CSV in CSV File Upload Status screen, an error keeps triggering that stops the user from

going to another screen

steps to duplicate:

1- go to upload CSV screen

2- upload a PNG image then wait

3- an error is displayed indicating that the file should be CSV

4- try to go to another screen

the user should be able to go to another screen without the error triggering,

meanwhile the error keeps triggering on every action until the user uploads a file of a correct type

Related issues:

Related to Task #1580: Upload CSV File - Cooperatives Screen - تحميل بيانات ا... Open 08/04/2019

History

#1 - 08/07/2019 05:58 PM - Israa Naser

- Sub-Category changed from CSV File Upload Status (حالة تحميل البيانات من قبل الجمعيات) to Upload CSV File - Cooperatives Screen - تحميل

بيانات الجمعية

#2 - 08/07/2019 05:59 PM - Israa Naser

- Related to Task #1580: Upload CSV File - Cooperatives Screen - تحميل بيانات الجمعية added

#3 - 08/07/2019 06:06 PM - Israa Naser

the error log for that scenarios is displayed empty

#4 - 08/19/2019 11:43 PM - Tareq Abuhamra

- Status changed from Open to Fixed

- Assignee changed from Tareq Abuhamra to Israa Naser

Upload CSV file screen will be added in the Online application in a standalone screen, here it's for testing only.
#5 - 08/31/2019 04:24 AM - Israa Naser

- Status changed from Fixed to Closed

Closed as Rejected,

based on Tariq's comment above

as the upload csv screen will be implemented alon in a separate screen for the user with no tabs to trigger the error over and over

Files

upload error.PNG 47.7 KB 08/07/2019 Israa Naser
